;; STEP A: paste this file into your .emacs file

;; STEP B: put the directory where the SICStus 3.0.6 prolog.el can be found
;;   here:
(setq load-path (cons "/usr/local/lib/sicstus" load-path))

(autoload 'run-prolog "prolog"
                 "Start a Prolog sub-process." t)
(autoload 'prolog-mode "prolog"
                  "Major mode for editing prolog programs" t)
(setq auto-mode-alist
      (cons '("\\.pl$" . prolog-mode) auto-mode-alist))

;; STEP C put the full path of sicstus-debug.elc here:
(load "~/ale/debugger/sicstus-debug.elc")

(add-hook 'inferior-prolog-mode-hook 'sicstus-dbg-prolog-mode-hook-dispatch)
